Let’s Encrypt の自動更新に失敗したら、こんなメールが届く。

Attempting to renew cert from /etc/letsencrypt/renewal/makotoiwasaki.com.conf produced an unexpected error: Failed authorization procedure. makotoiwasaki.com (http-01): urn:acme:error:unauthorized :: The client lacks sufficient authorization :: Invalid response from http://makotoiwasaki.com/.well-known/acme-challenge/cQvcemkiXwatSgLMOv30YS08B5B-PToMyPcLFtw2xhk: “<html>
<head><title>404 Not Found</title></head>
<body bgcolor=”white”>
<center><h1>404 Not Found</h1></center>
<hr><center>”, www.makotoiwasaki.com (http-01): urn:acme:error:unauthorized :: The client lacks sufficient authorization :: Invalid response from http://www.makotoiwasaki.com/.well-known/acme-challenge/MP5ARQa_QyvcJ1Sb_rCLrKnOKjVpwVLNaueZ-JuY9og: “<html>
<head><title>404 Not Found</title></head>
<body bgcolor=”white”>
<center><h1>404 Not Found</h1></center>
<hr><center>”. Skipping.

そんな時は、
/etc/letsencrypt/renewal/makotoiwasaki.com.conf

の内容を検証して、パスの誤りをただす。

/.well-known/acme-challenge   が存在しなければ、最初に設定した時にどこかに紛れ込んだところを探し出してコピーする。
そして次のコマンド。(Kusanagi サーバーの場合)

# kusanagi update cert  <profile 名>

 

 

次の記事

ABOUTこの記事を書いた人

世界を旅して80余国。徒然書苦氣去。 Author

コメント

ランダムフォト